Index: /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro
===================================================================
--- /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro	(revision 93)
+++ /trunk/src/paper01/fig13/net_flux_validation_scatter_2000_2007.pro	(revision 94)
@@ -134,5 +134,6 @@
 jda2=date2jul(date2)
 jpt=(jda2-jda1+1l)
-time=jda1+dindgen(jpt) & tt=time
+time=jda1+dindgen(jpt) 
+tt=time
 
 ocean='net_flux'
@@ -172,5 +173,6 @@
 lhf=read_ncdf("lhf", date1, date2, file=file_erai,/nostr)
 lwr=read_ncdf("lwr", date1, date2, file=file_erai,/nostr)
-swr=read_ncdf("swr", date1, date2, file=file_erai,/nostr) & swr=-1*swr
+swr=read_ncdf("swr", date1, date2, file=file_erai,/nostr) 
+swr=-1*swr
 erai=swr-(lwr+lhf+shf)
 help, erai
@@ -187,5 +189,6 @@
 file_oaf=project_od_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file_oaf
-swr=read_ncdf("swr", date1, date2, file=file_oaf,/nostr) & swr_trop=swr
+swr=read_ncdf("swr", date1, date2, file=file_oaf,/nostr) 
+swr_trop=swr
 oafl=swr-(lwr+lhf+shf)
 help, oafl
@@ -230,14 +233,19 @@
 ;; reading data from mooring
 
-    site=sitelist(n) & csite=site
+    site=sitelist(n) 
+    csite=site
     print, csite
     x=x_site_location(site)
     y=y_site_location(site)
     if (y ge 0. and y le 30.) then y=y+360.
-    dx=0.5 & dy=0.5 & box=[y-dy, y+dy, x-dx, x+dx]
+    dx=0.5 
+    dy=0.5 
+    box=[y-dy, y+dy, x-dx, x+dx]
 
     read_variables_net_flux, csite,date1,date2,nsmooth, $
          net
-    tao=net & ind=where(finite(tao)) & valid=n_elements(ind)
+    tao=net 
+    ind=where(finite(tao)) 
+    valid=n_elements(ind)
 
 ;;
@@ -268,6 +276,12 @@
            tropdf=tropflux
 
-           ind=where(finite(tao)) & tao=tao(ind) & oaf_net=oaflux(ind) & nce_net=ncepflux(ind) & trop_net=tropflux_new(ind)
-           erai_net=eraiflux(ind) & nce1_net=ncepflux1(ind) & tropd_net=tropdf(ind)
+           ind=where(finite(tao)) 
+           tao=tao(ind) 
+           oaf_net=oaflux(ind) 
+           nce_net=ncepflux(ind) 
+           trop_net=tropflux_new(ind)
+           erai_net=eraiflux(ind) 
+           nce1_net=ncepflux1(ind) 
+           tropd_net=tropdf(ind)
 
            mean_tao=total(tao,/nan)/n_elements(ind)
@@ -304,8 +318,12 @@
 mean_erai=mean_tao+bias_erai
 
-ind=where(finite(cor_erai)) & cor=total(cor_erai,/nan)/n_elements(ind)
-ind=where(finite(bias_erai)) & bias=total(bias_erai,/nan)/n_elements(ind)
-ind=where(finite(rmsd_erai)) & rmsd=total(rmsd_erai,/nan)/n_elements(ind)
-ind=where(finite(std_erai)) & std=total(std_erai,/nan)/n_elements(ind)
+ind=where(finite(cor_erai)) 
+cor=total(cor_erai,/nan)/n_elements(ind)
+ind=where(finite(bias_erai)) 
+bias=total(bias_erai,/nan)/n_elements(ind)
+ind=where(finite(rmsd_erai)) 
+rmsd=total(rmsd_erai,/nan)/n_elements(ind)
+ind=where(finite(std_erai)) 
+std=total(std_erai,/nan)/n_elements(ind)
 
 print, ''
@@ -319,7 +337,10 @@
 xyouts, -40,-80, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_erai
+x=mean_tao 
+y=mean_erai
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
@@ -336,8 +357,12 @@
 mean_trop=mean_tao+bias_trop
 
-ind=where(finite(cor_trop)) & cor=total(cor_trop,/nan)/n_elements(ind)
-ind=where(finite(bias_trop)) & bias=total(bias_trop,/nan)/n_elements(ind)
-ind=where(finite(rmsd_trop)) & rmsd=total(rmsd_trop,/nan)/n_elements(ind)
-ind=where(finite(std_trop)) & std=total(std_trop,/nan)/n_elements(ind)
+ind=where(finite(cor_trop)) 
+cor=total(cor_trop,/nan)/n_elements(ind)
+ind=where(finite(bias_trop)) 
+bias=total(bias_trop,/nan)/n_elements(ind)
+ind=where(finite(rmsd_trop)) 
+rmsd=total(rmsd_trop,/nan)/n_elements(ind)
+ind=where(finite(std_trop)) 
+std=total(std_trop,/nan)/n_elements(ind)
 
 print, ''
@@ -351,7 +376,10 @@
 xyouts, -40,-80, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_trop
+x=mean_tao 
+y=mean_trop
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
@@ -368,8 +396,12 @@
 mean_oaf=mean_tao+bias_oaf
 
-ind=where(finite(cor_oaf)) & cor=total(cor_oaf,/nan)/n_elements(ind)
-ind=where(finite(bias_oaf)) & bias=total(bias_oaf,/nan)/n_elements(ind)
-ind=where(finite(rmsd_oaf)) & rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
-ind=where(finite(std_oaf)) & std=total(std_oaf,/nan)/n_elements(ind)
+ind=where(finite(cor_oaf)) 
+cor=total(cor_oaf,/nan)/n_elements(ind)
+ind=where(finite(bias_oaf)) 
+bias=total(bias_oaf,/nan)/n_elements(ind)
+ind=where(finite(rmsd_oaf)) 
+rmsd=total(rmsd_oaf,/nan)/n_elements(ind)
+ind=where(finite(std_oaf)) 
+std=total(std_oaf,/nan)/n_elements(ind)
 
 print, ''
@@ -380,5 +412,6 @@
 splot, mean_tao, mean_oaf, charsize=1.1, title='NET_Flux - TAO Vs OAFlux', $
      xrange=[-100,200], yrange=[-100,200], small=[2,3,3],/noer, psym=2, xmin=1,ymin=1
-x=mean_tao & y=mean_oaf
+x=mean_tao 
+y=mean_oaf
 
 xyouts, -50,-40, cstat, charsize=1.
@@ -386,5 +419,7 @@
 
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
@@ -401,8 +436,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -416,7 +455,10 @@
 xyouts, -40,-80, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
@@ -433,8 +475,12 @@
 mean_nce=mean_tao+bias_nce
 
-ind=where(finite(cor_nce)) & cor=total(cor_nce,/nan)/n_elements(ind)
-ind=where(finite(bias_nce)) & bias=total(bias_nce,/nan)/n_elements(ind)
-ind=where(finite(rmsd_nce)) & rmsd=total(rmsd_nce,/nan)/n_elements(ind)
-ind=where(finite(std_nce)) & std=total(std_nce,/nan)/n_elements(ind)
+ind=where(finite(cor_nce)) 
+cor=total(cor_nce,/nan)/n_elements(ind)
+ind=where(finite(bias_nce)) 
+bias=total(bias_nce,/nan)/n_elements(ind)
+ind=where(finite(rmsd_nce)) 
+rmsd=total(rmsd_nce,/nan)/n_elements(ind)
+ind=where(finite(std_nce)) 
+std=total(std_nce,/nan)/n_elements(ind)
 
 print, ''
@@ -448,7 +494,10 @@
 xyouts, -40,-80, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_nce
+x=mean_tao 
+y=mean_nce
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
@@ -465,8 +514,12 @@
 mean_tropd=mean_tao+bias_tropd
 
-ind=where(finite(cor_tropd)) & cor=total(cor_tropd,/nan)/n_elements(ind)
-ind=where(finite(bias_tropd)) & bias=total(bias_tropd,/nan)/n_elements(ind)
-ind=where(finite(rmsd_tropd)) & rmsd=total(rmsd_tropd,/nan)/n_elements(ind)
-ind=where(finite(std_tropd)) & std=total(std_tropd,/nan)/n_elements(ind)
+ind=where(finite(cor_tropd)) 
+cor=total(cor_tropd,/nan)/n_elements(ind)
+ind=where(finite(bias_tropd)) 
+bias=total(bias_tropd,/nan)/n_elements(ind)
+ind=where(finite(rmsd_tropd)) 
+rmsd=total(rmsd_tropd,/nan)/n_elements(ind)
+ind=where(finite(std_tropd)) 
+std=total(std_tropd,/nan)/n_elements(ind)
 
 print, ''
@@ -480,7 +533,10 @@
 xyouts, -40,-80, 'cor    bias    std    rmsd', charsize=1.
 
-x=mean_tao & y=mean_tropd
+x=mean_tao 
+y=mean_tropd
 ab=linfit(x,y,yfit=yfit)
-a=float(ab(0)) & b=float(ab(1)) & print, a,b
+a=float(ab(0)) 
+b=float(ab(1)) 
+print, a,b
 oplot, x, yfit, thick=2, color=250
 oplot, [-100,200], [-100,200]
Index: /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro
===================================================================
--- /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro	(revision 93)
+++ /trunk/src/paper01/fig14/as_validation_net_1994_95_v10.pro	(revision 94)
@@ -95,5 +95,6 @@
 ; partie a changer
 asbox=[61,62,15,16]
-date1=19941016 & date2=19951019
+date1=19941016 
+date2=19951019
 
 fi=project_id_env+"met_data_as_expt_1994.txt"
@@ -126,14 +127,18 @@
 file=project_id_env+"erai_swr_19910101_20091231_oafluxgrid.nc"
 initncdf, file
-swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) & swr=reform(swr)
+swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) 
+swr=reform(swr)
 file=project_id_env+'erai_lwr_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lwr=read_ncdf('lwr',date1-1,date2,file=file,/nostr, box=asbox) & lwr=reform(lwr)
+lwr=read_ncdf('lwr',date1-1,date2,file=file,/nostr, box=asbox) 
+lwr=reform(lwr)
 file=project_id_env+'erai_shf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-shf=-1*read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox) & shf=reform(shf)
+shf=-1*read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox) 
+shf=reform(shf)
 file=project_id_env+'erai_lhf_19890101_20091231_oafluxgrid.nc'
 initncdf, file
-lhf=-1*read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox) & lhf=reform(lhf)
+lhf=-1*read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox) 
+lhf=reform(lhf)
 
 era=swr+lwr+lhf+shf
@@ -142,12 +147,19 @@
 help, era
 
-swr=0. & lwr=0. & shf=0. & lhf=0.
+swr=0. 
+lwr=0. 
+shf=0. 
+lhf=0.
 
 file=project_id_env+"TropFlux_19890101_20091231.nc"
 initncdf, file
-swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) & swr=reform(swr)
-lwr=read_ncdf('lwr',date1,date2,file=file,/nostr, box=asbox) & lwr=reform(lwr)
-shf=read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox) & shf=reform(shf)
-lhf=read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox) & lhf=reform(lhf)
+swr=read_ncdf('swr',date1,date2,file=file,/nostr, box=asbox) 
+swr=reform(swr)
+lwr=read_ncdf('lwr',date1,date2,file=file,/nostr, box=asbox) 
+lwr=reform(lwr)
+shf=read_ncdf('shf',date1,date2,file=file,/nostr, box=asbox) 
+shf=reform(shf)
+lhf=read_ncdf('lhf',date1,date2,file=file,/nostr, box=asbox) 
+lhf=reform(lhf)
 trop=swr+lwr+shf+lhf
 help, trop
@@ -155,29 +167,39 @@
 file=project_id_env+"TropFlux_swr_19890101_20091231_NRT_v50.nc"
 initncdf, file
-olr1=read_ncdf("sw", date1-1, date2, file=file,/nostr, box=asbox) ;; & olr1=grossemoyenne(olr1, "xy",/nan, box=asbox) &
+olr1=read_ncdf("sw", date1-1, date2, file=file,/nostr, box=asbox) ;; 
+olr1=grossemoyenne(olr1, "xy",/nan, box=asbox)
 olr1=reform(olr1)
 
 olr=olr1+lwr+shf+lhf
 
-swr=0. & lwr=0. & shf=0. & lhf=0. & olr1=0.
-
-trop=trop(ind) & olr=olr(ind)
+swr=0. 
+lwr=0. 
+shf=0. 
+lhf=0. 
+olr1=0.
+
+trop=trop(ind) 
+olr=olr(ind)
 help, trop, olr
 
 file=project_id_env+'swr_oafluxgrid_1985_2007.nc'
 initncdf, file
-swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox) & swr=reform(swr)
+swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox) 
+swr=reform(swr)
 
 file=project_id_env+'lwr_oafluxgrid_1985_2007.nc'
 initncdf, file
-lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox) & lwr=-1*reform(lwr)
+lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox) 
+lwr=-1*reform(lwr)
 
 file=project_id_env+'lhf_oafluxgrid_1985_2009.nc'
 initncdf, file
-lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox) & lhf=-1*reform(lhf)
+lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox) 
+lhf=-1*reform(lhf)
 
 file=project_id_env+'shf_oafluxgrid_1985_2009.nc'
 initncdf, file
-shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox) & shf=-1*reform(shf)
+shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox) 
+shf=-1*reform(shf)
 
 oaf=swr+lwr+shf+lhf
@@ -185,13 +207,19 @@
 help, oaf
 
-swr=0. & lwr=0. & shf=0. & lhf=0.
+swr=0. 
+lwr=0. 
+shf=0. 
+lhf=0.
 
 fi=project_id_env+'swr_ncep2_oaflxgrid_19890101_20091231.nc'
 initncdf, fi
-swr=read_ncdf("swr", date1, date2, file=fi,/nostr, box=asbox) & swr=reform(swr)
+swr=read_ncdf("swr", date1, date2, file=fi,/nostr, box=asbox) 
+swr=reform(swr)
 
 fi=project_id_env+"NCEP2_flux_19890101_20090729.nc"
 initncdf, fi
-lwr=read_ncdf("lwr", date1, date2, file=fi,/nostr, box=asbox) & lwr=grossemoyenne(lwr, "xy",/nan, box=asbox) & lwr=reform(lwr)
+lwr=read_ncdf("lwr", date1, date2, file=fi,/nostr, box=asbox) 
+lwr=grossemoyenne(lwr, "xy",/nan, box=asbox) 
+lwr=reform(lwr)
 
 lwr=-1*lwr
@@ -199,9 +227,11 @@
 fi=project_id_env+'lhf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-lhf=read_ncdf("lhf", date1, date2, file=fi,/nostr, box=asbox) & lhf=-1*reform(lhf)
+lhf=read_ncdf("lhf", date1, date2, file=fi,/nostr, box=asbox) 
+lhf=-1*reform(lhf)
 
 fi=project_id_env+'shf_ncep2_oafluxgrid_19890101_20091231.nc'
 initncdf, fi
-shf=read_ncdf("shf", date1, date2, file=fi,/nostr, box=asbox) & shf=-1*reform(shf)
+shf=read_ncdf("shf", date1, date2, file=fi,/nostr, box=asbox) 
+shf=-1*reform(shf)
 
 nce2=swr+lwr+shf+lhf
@@ -210,12 +240,19 @@
 nce2=nce2(ind)
 help, nce2
-swr=0. & lwr=0. & shf=0. & lhf=0.
+swr=0. 
+lwr=0. 
+shf=0. 
+lhf=0.
 
 file=project_id_env+"ncep1_flux_19890101_20091231.nc"
 initncdf, file
-swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox) & swr=reform(swr)
-lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox) & lwr=reform(lwr)
-lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox) & lhf=reform(lhf)
-shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox) & shf=reform(shf)
+swr=read_ncdf("swr", date1, date2, file=file,/nostr, box=asbox)
+swr=reform(swr)
+lwr=read_ncdf("lwr", date1, date2, file=file,/nostr, box=asbox) 
+lwr=reform(lwr)
+lhf=read_ncdf("lhf", date1, date2, file=file,/nostr, box=asbox) 
+lhf=reform(lhf)
+shf=read_ncdf("shf", date1, date2, file=file,/nostr, box=asbox) 
+shf=reform(shf)
 nce1=swr+lwr+shf+lhf
 
@@ -225,5 +262,10 @@
 help, nce1
 ;ind=where(finite(net))
-;net=net(ind) & era=era(ind) & trop=trop(ind) & oaf=oaf(ind) & nce1=nce1(ind) & nce2=nce2(ind)
+;net=net(ind) 
+;era=era(ind) 
+;trop=trop(ind) 
+;oaf=oaf(ind) 
+;nce1=nce1(ind) 
+;nce2=nce2(ind)
 ;olr=olr(ind)
 
